from datetime import datetime

from flask import request, flash

def get_timestamp():
    return datetime.now().astimezone().isoformat(timespec='milliseconds')

def get_remote_addr():
    #print(f"HTTP_X_REAL_IP: {request.environ.get('HTTP_X_REAL_IP')}")
    #print(f"HTTP_X_FORWARDED_FOR: {request.environ.get('HTTP_X_FORWARDED_FOR')}")
    return request.environ.get('HTTP_X_FORWARDED_FOR', request.remote_addr)

def flash_result(*result):
    if result[0] is not None:
        if isinstance(result[0], list):
            flash(*result[0])
        else:
            flash(result)

class ObjectView(object):
    def __init__(self, d):
        self.__dict__ = d
